## audacity-dmo 3.3.3

=== CMakeLists.txt ===
# If you want built-in precompiled header support
# then make sure you have cmake 3.16 or higher.
#
# Minimum required is 3.15 due to use of multiple values in
# generator expressions.
cmake_minimum_required( VERSION 3.15 )

# If building with GNU compiler, then must be 4.9 or later.
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND
    CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.9")
   message(FATAL_ERROR "Audacity requires at least GCC 4.9")
endif ()

if( EXISTS "${CMAKE_SOURCE_DIR}/cmake-proxies/cmake-modules/Variables.cmake" )
   include( "${CMAKE_SOURCE_DIR}/cmake-proxies/cmake-modules/Variables.cmake" )
endif()

# We only do alpha builds, beta builds, and release versions.
# Most of the time we're in development, so AUDACITY_BUILD_LEVEL should be
# defined to 0.
# Its value may be more than 0 for pre-release "Beta" builds that differ only
# in the welcome screen, and hiding of some development menu commands, but
# still link to the alpha manual online.

# Set this value to 0 for alpha, 1 for beta, 2 for release builds
if( NOT DEFINED AUDACITY_BUILD_LEVEL )
   set( AUDACITY_BUILD_LEVEL 0 CACHE STRING "0 for alpha, 1 for beta, 2 for release builds" )
endif()

# The Audacity version
# Increment as appropriate after release of a new version, and set back
# AUDACITY_BUILD_LEVEL to 0
set( AUDACITY_VERSION 3 )
set( AUDACITY_RELEASE 3 )
set( AUDACITY_REVISION 3 )
set( AUDACITY_MODLEVEL 0 )

string( TIMESTAMP __TDATE__ "%Y%m%d" )
if( AUDACITY_BUILD_LEVEL EQUAL 0 )
   set( AUDACITY_SUFFIX "-alpha-${__TDATE__}" )
elseif(  AUDACITY_BUILD_LEVEL EQUAL 1 )
   set( AUDACITY_SUFFIX "-beta-${__TDATE__}" )
else()
   set( AUDACITY_SUFFIX "" )
endif()

# Don't allow in-source builds...no real reason, just
# keeping those source trees nice and tidy.  :-)
# (This can be removed if it becomes an issue.)
if( "${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}" )
   message( FATAL_ERROR
      "In-source builds not allowed.\n"
      "Create a new directory and run cmake from there, i.e.:\n"
      "  mkdir build\n"
      "  cd build\n"
      "  cmake ..\n"
      "You will need to delete CMakeCache.txt and CMakeFiles from this directory to clean up."
   )
endif()

# Just a couple of convenience variables
set( topdir "${CMAKE_SOURCE_DIR}" )
set( libsrc "${topdir}/lib-src" )

# Default build type is Debug
if( NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES )
   set( CMAKE_BUILD_TYPE "Debug" )
endif()

# Ignore COMPILE_DEFINITIONS_<Config> properties
cmake_policy( SET CMP0043 NEW )

# Link libraries by full path even in implicit directories.
cmake_policy( SET CMP0060 NEW )

# ``INTERPROCEDURAL_OPTIMIZATION`` is enforced when enabled.
cmake_policy( SET CMP0069 NEW )

# ``FindOpenGL`` prefers GLVND by default when available.
cmake_policy( SET CMP0072 NEW )

# Include file check macros honor ``CMAKE_REQUIRED_LIBRARIES``.
cmake_policy( SET CMP0075 NEW )

# Definitions that must happen before the project() command
if( APPLE )
   # CMAKE_HOST_SYSTEM_PROCESSOR is empty before the project() command
   execute_process(
      COMMAND uname -m
      OUTPUT_VARIABLE HOST_SYSTEM_PROCESSOR
      OUTPUT_STRIP_TRAILING_WHITESPACE
   )

   set( MACOS_ARCHITECTURE "${HOST_SYSTEM_PROCESSOR}" CACHE STRING "Target architecture for macOS builds. One of x86_64/arm64" )

   if( MACOS_ARCHITECTURE STREQUAL "x86_64" )
      set( MIN_MACOS_VERSION 10.9 )
      set( TARGET_MACOS_VERSION 10.13 )
      set( CMAKE_OSX_ARCHITECTURES x86_64 CACHE INTERNAL "" )
   elseif( MACOS_ARCHITECTURE STREQUAL "arm64" )
      set( MIN_MACOS_VERSION 10.13 )
      set( TARGET_MACOS_VERSION 10.13 )
      set( CMAKE_OSX_ARCHITECTURES arm64 CACHE INTERNAL "" )
   else()
      message( FATAL_ERROR "MACOS_ARCHITECTURE must be x86_64 or arm64")
   endif()
   # Generate schema files
   set( CMAKE_XCODE_GENERATE_SCHEME ON )

   # Define the OSX compatibility parameters
   set( CMAKE_OSX_DEPLOYMENT_TARGET ${MIN_MACOS_VERSION} CACHE INTERNAL "" )
   set( CMAKE_OSX_SYSROOT macosx CACHE INTERNAL "" )

   # This prevents a link error when building with the 10.9 or older SDKs
   set( CMAKE_XCODE_ATTRIBUTE_CLANG_LINK_OBJC_RUNTIME OFF )

   # Shouldn't cmake do this???
   string( APPEND CMAKE_CXX_FLAGS " -stdlib=libc++" )
endif()

# Add our module path
# CMAKE_BINARY_DIR is required for Conan to work
set( AUDACITY_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake-proxies/cmake-modules")
set( CMAKE_MODULE_PATH
   ${AUDACITY_MODULE_PATH}
   ${CMAKE_MODULE_PATH}
)

set( CMAKE_PREFIX_PATH
   "${CMAKE_BINARY_DIR}/generators"
   ${CMAKE_PREFIX_PATH}
)

# This "is a good thing" but greatly increases link time on Linux
#set( CMAKE_INTERPROCEDURAL_OPTIMIZATION ON )
#set( CMAKE_INTERPROCEDURAL_OPTIMIZATION_RELEASE ON )
#set( CMAKE_INTERPROCEDURAL_OPTIMIZATION_DEBUG OFF )

# Set the required C++ standard
set( CMAKE_CXX_STANDARD 17 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )

# Use ccache if available
find_program( CCACHE_PROGRAM ccache )
mark_as_advanced( FORCE CCACHE_PROGRAM )

if( CCACHE_PROGRAM )
   set_property( GLOBAL PROPERTY RULE_LAUNCH_COMPILE "${CCACHE_PROGRAM}" )
endif()

# Define option() prefix
set( _OPT "audacity_" )

# Our very own project
project( Audacity )

# XCode 14 no longer allows building unsigned binaries.
# So for the XCode 14 `-` is passed as the code sign identity, which stands for
# local signing. `--deep` is passed, because 3d party libraries are copied unsigned.
# XCODE_VERSION is defined only after the project() command

if( APPLE )
   if (XCODE_VERSION VERSION_LESS 14)
      set( CMAKE_XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY "" CACHE INTERNAL "" )
   else()
      set( CMAKE_XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY "-" CACHE INTERNAL "" )
      set( CMAKE_XCODE_ATTRIBUTE_OTHER_CODE_SIGN_FLAGS "--deep -o linker-signed --timestamp" CACHE INTERNAL "")
   endif()
endif()

# Load our functions/macros
include( AudacityFunctions )

set_from_env(AUDACITY_ARCH_LABEL) # e.g. x86_64

cmd_option( ${_OPT}crashreport_backend
            "Crashreport engine [crashpad (default), breakpad]"
            "crashpad"
            STRINGS "crashpad" "breakpad")

cmd_option( ${_OPT}bundle_gplv3
            "Bundle GPLv3 license instead of GPLv2 with the resulting binary."
            On)

# Allow user to globally set the library preference
cmd_option( ${_OPT}conan_enabled
            "Use Conan package manager for 3d party dependencies"
            On
)

cmd_option( ${_OPT}conan_allow_prebuilt_binaries
            "Allow using the compiled dependencies from the cache or remotes"
            On
)

cmd_option( ${_OPT}conan_force_build_dependencies
            "Force Conan to rebuild the dependencies every time"
            Off
)

set( ${_OPT}conan_download_cache ""
            CACHE PATH "Use conan download cache located at the specified path")

# Allow user to globally set the library preference
cmd_option( ${_OPT}lib_preference
            "Library preference [system (if available), local]"
            "local"
            STRINGS "system" "local"
)

# Special mode, that will force dependencies to the packages provided by system unless they were set to local explicitly.
cmd_option( ${_OPT}obey_system_dependencies
            "Use system packages to satisfy dependencies"
            Off
)

cmd_option( ${_OPT}has_networking
   "Build networking features into Audacity"
   Off)

cmd_option( ${_OPT}has_url_schemes_support
   "Build custom URL schemes support into Audacity"
   Off)

include( CMakeDependentOption )

cmake_dependent_option(
   ${_OPT}has_tests
   "Enables automated testing support"
   On
   "${_OPT}conan_enabled"
   Off
)

cmake_dependent_option(
   ${_OPT}has_audiocom_upload
   "Enables uploading of Audacity recordings to Audio.com"
   Off
   "${_OPT}has_networking"
   Off
)

cmake_dependent_option(
   ${_OPT}has_updates_check
   "Build updates checking features into Audacity"
   On
   "${_OPT}has_networking"
   Off
)

option(${_OPT}has_vst3
    "Enable support for VST3 plug-ins in Audacity"
    On
)

# Python is used for the manual and (possibly) message catalogs
find_package( Python3 )

if( Python3_FOUND )
   set( PYTHON "${Python3_EXECUTABLE}" )
elseif( CMAKE_SYSTEM_NAME MATCHES "Windows" )
   # This is an odd case now, as Conan requires Python as well
   nuget_package( pkgdir "python3" "3.7.7" )
   file( TO_NATIVE_PATH "${pkgdir}/tools/python.exe" PYTHON )
endif()

# Pull all the modules we'll need
include( CheckCXXCompilerFlag )
include( CheckIncludeFile )
include( CheckIncludeFiles )
include( CheckLibraryExists )
include( CheckSymbolExists )
include( CheckTypeSize )
include( CMakeDetermineASM_NASMCompiler )
include( CMakePushCheckState )
include( GNUInstallDirs )
include( TestBigEndian )

set_from_env(SENTRY_DSN_KEY)
set_from_env(SENTRY_HOST)
set_from_env(SENTRY_PROJECT)
set_from_env(CRASH_REPORT_URL)

cmake_dependent_option(
   ${_OPT}has_crashreports
   "Enables crash reporting for Audacity"
   On
   "${_OPT}has_networking;DEFINED CRASH_REPORT_URL"
   Off
)

cmake_dependent_option(
   ${_OPT}has_sentry_reporting
   "Build support for sending errors to Sentry"
   On
   "${_OPT}has_networking;DEFINED SENTRY_DSN_KEY;DEFINED SENTRY_HOST;DEFINED SENTRY_PROJECT"
   Off
)

# Determine 32-bit or 64-bit target
if( CMAKE_C_COMPILER_ID MATCHES "MSVC" AND CMAKE_VS_PLATFORM_NAME MATCHES "Win64|x64" )
   set( IS_64BIT ON )
elseif( NOT CMAKE_SIZEOF_VOID_P STREQUAL "4" )
   set( IS_64BIT ON )
endif()

message( STATUS "Build Info:" )
message( STATUS "  Host System: ${CMAKE_HOST_SYSTEM}" )
message( STATUS "  Host System Name: ${CMAKE_HOST_SYSTEM_NAME}" )
message( STATUS "  Host System Processor: ${CMAKE_HOST_SYSTEM_PROCESSOR}" )
message( STATUS "  Host System Version: ${CMAKE_HOST_SYSTEM_VERSION}" )

if( IS_64BIT )
   message( STATUS "  Host System Architecture: 64-bit" )
else()
   message( STATUS "  Host System Architecture: 32-bit" )
endif()

message( STATUS )
message( STATUS "  Compiler: ${CMAKE_CXX_COMPILER}" )
message( STATUS "  Compiler Version: ${CMAKE_CXX_COMPILER_VERSION}" )
message( STATUS "  Compiler Standard: ${CMAKE_CXX_STANDARD}" )
message( STATUS "  Compiler Standard Required: ${CMAKE_CXX_STANDARD_REQUIRED}" )
message( STATUS "  Compiler Extensions: ${CMAKE_CXX_EXTENSIONS}" )
message( STATUS )

if( CMAKE_GENERATOR MATCHES "Visual Studio" )
   message( STATUS "  MSVC Version: ${MSVC_VERSION}" )
   message( STATUS "  MSVC Toolset: ${MSVC_TOOLSET_VERSION}" )
   message( STATUS )
elseif( CMAKE_SYSTEM_NAME MATCHES "Darwin" )
   if( CMAKE_GENERATOR MATCHES "Xcode" )
      message( STATUS "  Xcode Version: ${XCODE_VERSION}" )
   endif()
   message( STATUS "  MacOS SDK: ${CMAKE_OSX_SYSROOT}" )
   message( STATUS )

   if(${_OPT}has_crashreports)
      set(CMAKE_XCODE_ATTRIBUTE_DEBUG_INFORMATION_FORMAT "dwarf-with-dsym")
   endif()

endif()

# Try to get the current commit information
set( GIT_COMMIT_SHORT "unknown" )
set( GIT_COMMIT_LONG "unknown" )
set( GIT_COMMIT_TIME "unknown" )
find_package( Git QUIET )
if( GIT_FOUND )
   execute_process(
      COMMAND
         ${GIT_EXECUTABLE} show -s "--format=%h;%H;%cd"
      WORKING_DIRECTORY
         ${topdir}
      OUTPUT_VARIABLE
         git_output
      OUTPUT_STRIP_TRAILING_WHITESPACE
      ERROR_QUIET
   )

   if( git_output )
      list( GET git_output 0 GIT_COMMIT_SHORT )
      list( GET git_output 1 GIT_COMMIT_LONG )
      list( GET git_output 2 GIT_COMMIT_TIME )

      file(WRITE
         "${CMAKE_BINARY_DIR}/Variables.cmake"
         "set( AUDACITY_BUILD_LEVEL ${AUDACITY_BUILD_LEVEL} )\nset( AUDACITY_REV_LONG \"${GIT_COMMIT_LONG}\" )\nset( AUDACITY_REV_TIME \"${GIT_COMMIT_TIME}\" )\n"
      )
   endif()
endif()
message( STATUS "  Current Commit: ${GIT_COMMIT_SHORT}" )
message( STATUS )

# Organize subdirectories/targets into folders for the IDEs
set_property( GLOBAL PROPERTY USE_FOLDERS ON )

if( CMAKE_GENERATOR MATCHES "Visual Studio" )
   # Make sure Audacity is the startup project
   set_directory_properties(
      PROPERTIES
         VS_STARTUP_PROJECT "${CMAKE_PROJECT_NAME}"
   )

   # Build using multiple processors

=== libraries/lib-audio-io/CMakeLists.txt ===
#[[
An audio engine, implemented with the cross-platform portaudio library.

Allows playback and recording and monitoring.

Includes ability to transform the played-back sample streams with effects in
realtime.
]]

set( SOURCES
   AudioIO.cpp
   AudioIO.h
   AudioIOExt.cpp
   AudioIOExt.h
   AudioIOListener.h
   PlaybackSchedule.cpp
   PlaybackSchedule.h
   ProjectAudioIO.cpp
   ProjectAudioIO.h
   RingBuffer.cpp
   RingBuffer.h
)
set( LIBRARIES
   lib-project-rate-interface
   lib-realtime-effects
   lib-sample-track-interface
)
audacity_library( lib-audio-io "${SOURCES}" "${LIBRARIES}"
   "" ""
)

=== libraries/lib-preferences/CMakeLists.txt ===
#[[
Classes managing settings that persist between runs of the program.

Settings objects for various types (boolean, numbers, strings, enumerations)
that package a preference key path and a default value (so that literals are
not duplicated in widely separated parts) and cache values in memory.

PreferenceListener which is a callback notified of certain changes of
preferences.

PreferenceInitializer is a callback for the reinitialization of preferences.

FileConfig decorates wxFileConfig, with a member function to
alert the user of failure to initialize it (as when the file is read-only).
]]#

set( SOURCES
   FileConfig.cpp
   FileConfig.h
   Prefs.cpp
   Prefs.h
)
set( LIBRARIES 
   lib-basic-ui-interface
   lib-components-interface
)
audacity_library( lib-preferences "${SOURCES}" "${LIBRARIES}"
   "" ""
)

=== libraries/lib-wave-track/CMakeLists.txt ===
#[[
Defines a type of track that stores sample data.

The samples are organized into clips that may cover time intervals with gaps
between them and may have hidden sample data at each end, and also embedded
cut-lines which are nested clips.

Each clip stores an unbroken Sequence of samples at some rate.

The Sequence object (which does not know its rate) manages a list of SampleBlock
objects.  This is an abstract class.  They are produced by a SampleBlockFactory
object, also an abstract class. A function that is a factory of block factories
must be injected by the application at startup.

Some other utilities related to wave tracks are also included.  MixAndRender
and WaveTrackSink make new WaveTrack objects.
]]

set( SOURCES
   PasteOverPreservingClips.cpp
   PasteOverPreservingClips.h
   SampleBlock.cpp
   SampleBlock.h
   Sequence.cpp
   Sequence.h
   WaveClip.cpp
   WaveClip.h
   WaveTrack.cpp
   WaveTrack.h
   WaveTrackSink.cpp
   WaveTrackSink.h
)
set( LIBRARIES
   lib-project-rate-interface
   lib-sample-track-interface
   lib-track-selection-interface
)
audacity_library( lib-wave-track "${SOURCES}" "${LIBRARIES}"
   "" ""
)

## audacity-dmo 2.4.2

=== debian/changelog ===
audacity-dmo (1:2.4.2-dmo3) unstable; urgency=medium

  * Add workaround patch for playback cursor under wayland.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 May 2021 23:42:34 +0200

audacity-dmo (1:2.4.2-dmo2) unstable; urgency=medium

  * Fix temporary audio .au files exposure CVE-2020-11867

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 09 Dec 2020 08:52:38 +0100

audacity-dmo (1:2.4.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Jun 2020 14:32:02 +0200

audacity-dmo (1:2.4.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 May 2020 13:37:46 +0200

audacity-dmo (1:2.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 May 2020 15:27:58 +0200

audacity-dmo (1:2.3.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Nov 2019 14:17:10 +0100

audacity-dmo (1:2.3.2-dmo3) unstable; urgency=medium

  * Rebuild with wxWidgets GTK3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 06 Aug 2019 08:27:10 +0200

audacity-dmo (1:2.3.2-dmo2) unstable; urgency=medium

  * Don't call dh_auto_configure twice.
  * Generate internationalization files.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 May 2019 09:04:45 +0200

audacity-dmo (1:2.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 May 2019 19:54:56 +0200

audacity-dmo (1:2.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 09 Mar 2019 00:17:45 +0100

audacity-dmo (1:2.2.2-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 4.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 23 Apr 2018 07:27:21 +0200

audacity-dmo (1:2.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Feb 2018 10:40:21 +0100

audacity-dmo (1:2.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Dec 2017 14:48:52 +0100

audacity-dmo (1:2.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Nov 2017 11:51:22 +0100

audacity-dmo (1:2.1.3-dmo2) unstable; urgency=medium

  * Add patch from Bobby Kent to fix "File extension is always AIFF when
    exporting an audio track" bug.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 22 Aug 2017 19:00:22 +0200

audacity-dmo (1:2.1.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Mar 2017 07:36:01 +0100

audacity-dmo (1:2.1.2-dmo3) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Mar 2017 19:30:45 +0100

audacity-dmo (1:2.1.2-dmo2) unstable; urgency=medium

  * Rebuild against ffmpeg 3.0 libraries.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Feb 2016 17:09:04 +0100

audacity-dmo (1:2.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Jan 2016 19:05:27 +0100

audacity-dmo (1:2.1.1-dmo4) unstable; urgency=medium

  * Rebuild against 1:2.8.12.1-dmo1

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Oct 2015 13:14:48 +0100

audacity-dmo (1:2.1.1-dmo3) unstable; urgency=medium

  * Rebuild against libsoundtouch1

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Sep 2015 16:30:51 +0200

audacity-dmo (1:2.1.1-dmo2) unstable; urgency=medium

  * Rebuild against libflac++6v5

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Aug 2015 10:33:00 +0200

audacity-dmo (1:2.1.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Build against wxgtk 2.8 as 3.0 is broken.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Jul 2015 15:13:49 +0200

audacity-dmo (1:2.1.0-dmo2) unstable; urgency=medium

  * Remove stamp files to generate and install i18n files.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 May 2015 11:55:48 +0200

audacity-dmo (1:2.1.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Conflicts with the blop package. Data files in
    /usr/lib/ladspa/blop_files crash audacity because these files are not
    really ladspa plugins.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 30 May 2015 16:46:02 +0200

audacity (2.0.6-2) unstable; urgency=medium

  [ Martin Steghöfer ]
  * Workaround for wx bug causing layout problems in recovery dialog.
  * Fix effect dialog segfault due to events before initialization and
    add workaround for wxWidgets bug "Reentry in clipboard". (Closes: #765341)
  * Fix cursor recapturing in track panel sliders. (Closes: #765779)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 25 Oct 2014 23:42:05 +0200

audacity (2.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to point to FossHub.
  * Bump Standards-Version to 3.9.6 (no changes required)
  * Drop all patches (all included in new upstream release) and the
    libnyquist autoreconf workaround
  * Disable tests (they fail to build, because they are bitrotten)
  * Fix autoreconf for the minimal audacity source tarball.
  * Compile audacity against wxWidgets 3.0. Thanks to Martin Steghöfer for
    this enormous patch (Closes: #749659)
  * Fix FTBFS with clang. Thanks to Arthur Marble. (Closes: #757531)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 14 Oct 2014 01:28:54 +0200

audacity (2.0.5-2) unstable; urgency=medium

  * Add support for recent FFmpeg/libav versions. Thanks to Michael Niedermayer
    for the porting work. (Closes: #740755, LP: #1076928)


=== debian/control ===
Source: audacity-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.audacityteam.org/
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), gettext, libasound2-dev [linux-any],
 lv2-dev, libavcodec-dev (>= 6:0.8), libavformat-dev (>= 6:0.8), quilt,
 libavutil-dev (>= 6:0.8), libexpat1-dev, libflac++-dev (>= 1.3.1-4),
 libgtk-3-dev, libid3tag0-dev, cmake (>= 3.15), libjack-jackd2-dev,
 libmad0-dev (>= 0.14.2b), libmp3lame-dev, libogg-dev (>= 1.0.0),
 libportsmf-dev, libsndfile1-dev (>= 1.0.0), libsoundtouch-dev (>= 1.9.2~),
 libwxgtk3.0-gtk3-dev, libsoxr-dev (>= 0.0.5), libtwolame-dev (>= 0.3.9),
 liblilv-dev, libserd-dev, libvorbis-dev (>= 1.0.0-3),
 vamp-plugin-sdk (>= 1:2.6-dmo3), libsuil-dev (>= 1:0.8.2~), nasm [amd64 i386]

## portaudio19-dev (>= 19+svn20101113-3~),
## , libsbsms-dev (>= 2.2.0~)

Package: audacity
Architecture: any
Depends: audacity-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: ladspa-plugin
Conflicts: blop
Description: fast, cross-platform audio editor
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and Windows.
 It is designed for easy recording, playing and editing of digital audio.
 Audacity features digital effects and spectrum analysis tools. Editing is
 very fast and provides unlimited undo/redo.
 .
 Supported file formats include Ogg Vorbis, MP2, MP3, WAV, AIFF, and AU.

Package: audacity-data
Architecture: all
Depends: ${misc:Depends}
Recommends: audacity
Description: fast, cross-platform audio editor (data)
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and Windows.
 It is designed for easy recording, playing and editing of digital audio.
 Audacity features digital effects and spectrum analysis tools. Editing is
 very fast and provides unlimited undo/redo.
 .
 This package contains the architecture-independent data files.

=== debian/rules ===
#!/usr/bin/make -f

# provide custom lame.pc
export PKG_CONFIG_PATH=$(CURDIR)/debian/pkgconfig

%:
	dh $@ --with quilt

override_dh_auto_configure:
	sed 's/@DEB_HOST_MULTIARCH@/${DEB_HOST_MULTIARCH}/' debian/pkgconfig/lame.pc.in > debian/pkgconfig/lame.pc

	touch $(CURDIR)/src/RevisionIdent.h

	dh_auto_configure -- \
	-DCMAKE_INSTALL_LIBDIR=lib \
	-Daudacity_use_sbsms=off \
	-Daudacity_use_ffmpeg=linked

#	exit 1

execute_after_dh_auto_install:
	# Move appdata to metainfo
	mv debian/tmp/usr/share/appdata/ debian/tmp/usr/share/metainfo/

	# Don't package unnecessary copy of GPL
	rm debian/tmp/usr/share/doc/audacity/LICENSE.txt

	# Move indep plugins to usr/share
	mkdir -p debian/tmp/usr/share/audacity
	mv debian/tmp/usr/lib/audacity/nyquist debian/tmp/usr/lib/audacity/plug-ins debian/tmp/usr/share/audacity

# tests fails with system portaudio
override_dh_auto_test:

## audacity-dmo 3.3.3

=== debian/changelog ===
audacity-dmo (1:3.3.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Jun 2023 20:35:04 +0200

audacity-dmo (1:3.3.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 May 2023 00:32:32 +0200

audacity-dmo (1:3.3.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 28 Apr 2023 12:47:07 +0200

audacity-dmo (1:3.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Apr 2023 16:38:24 +0200

audacity-dmo (1:3.2.5-dmo2) unstable; urgency=medium

  * Add upstream patches to add support for ffmpeg 6.x

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 24 Mar 2023 15:44:48 +0100

audacity-dmo (1:3.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 13:50:56 +0100

audacity-dmo (1:3.2.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Jan 2023 17:14:41 +0100

audacity-dmo (1:3.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Dec 2022 09:13:14 +0100

audacity-dmo (1:3.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Dec 2022 12:12:53 +0100

audacity-dmo (1:3.2.1-dmo2) unstable; urgency=medium

  * Build with libflac++10

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 20 Oct 2022 13:12:16 +0200

audacity-dmo (1:3.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Oct 2022 00:01:17 +0200

audacity-dmo (1:3.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Sep 2022 23:37:28 +0200

audacity-dmo (1:3.1.3-dmo3) unstable; urgency=medium

  * Build with -Daudacity_conan_enabled=Off and remove conan from Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 12 Sep 2022 09:40:36 +0200

audacity-dmo (1:3.1.3-dmo2) unstable; urgency=medium

  * Add libavcodec58, libavformat58 and libavutil56 in Depends as audacity
    load these libraries at startup.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 12 Sep 2022 02:17:53 +0200

audacity-dmo (1:3.1.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 10 Sep 2022 09:46:49 +0200

audacity-dmo (1:2.4.2-dmo4) unstable; urgency=medium

  * Build with wxWidgets 3.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 10 Sep 2022 09:14:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,25 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
+Rules-Requires-Root: no
 Homepage: https://www.audacityteam.org/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), gettext, libasound2-dev [linux-any],
- lv2-dev, libavcodec-dev (>= 6:0.8), libavformat-dev (>= 6:0.8), quilt,
- libavutil-dev (>= 6:0.8), libexpat1-dev, libflac++-dev (>= 1.3.1-4),
- libgtk-3-dev, libid3tag0-dev, cmake (>= 3.15), libjack-jackd2-dev,
- libmad0-dev (>= 0.14.2b), libmp3lame-dev, libogg-dev (>= 1.0.0),
- libportsmf-dev, libsndfile1-dev (>= 1.0.0), libsoundtouch-dev (>= 1.9.2~),
- libwxgtk3.0-gtk3-dev, libsoxr-dev (>= 0.0.5), libtwolame-dev (>= 0.3.9),
- liblilv-dev, libserd-dev, libvorbis-dev (>= 1.0.0-3),
- vamp-plugin-sdk (>= 1:2.6-dmo3), libsuil-dev (>= 1:0.8.2~), nasm [amd64 i386]
-
-## portaudio19-dev (>= 19+svn20101113-3~),
-## , libsbsms-dev (>= 2.2.0~)
+ lv2-dev, libavcodec-dev, libavformat-dev, libavutil-dev, quilt,
+ libexpat1-dev, libflac++-dev (>= 1.4.1~), uuid-dev, libgtk-3-dev,
+ libid3tag0-dev, cmake (>= 3.15), libjack-jackd2-dev, patchelf,
+ libmp3lame-dev, libogg-dev (>= 1.0.0), libmpg123-dev, libportsmf-dev,
+ libsndfile1-dev (>= 1.0.0), libsoundtouch-dev (>= 1.9.2~),
+ libsoxr-dev (>= 0.0.5), libtwolame-dev (>= 0.3.9), ninja-build,
+ liblilv-dev, libserd-dev, libvorbis-dev (>= 1.0.0-3), libwavpack-dev,
+ vamp-plugin-sdk (>= 1:2.6-dmo3), libsuil-dev (>= 1:0.8.2~),
+ nasm [any-amd64 any-i386], libsqlite3-dev, libgtk2.0-dev,
+ portaudio19-dev, libgtk2.0-dev, libportmidi-dev, libsbsms-dev (>= 2.2.0~),
+ libwxgtk-media3.2-dev
 
 Package: audacity
 Architecture: any
-Depends: audacity-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: audacity-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}, libavcodec60 (>= 10:6.0), libavformat60 (>= 10:6.0), libavutil58 (>= 10:6.0)
 Suggests: ladspa-plugin
 Conflicts: blop
 Description: fast, cross-platform audio editor

=== debian/rules ===
#!/usr/bin/make -f

export VST3SDK_DIR=$(CURDIR)/vst3sdk-3-7-6

%:
	dh $@ --with quilt -Scmake+ninja

override_dh_auto_configure:
	touch $(CURDIR)/src/RevisionIdent.h

	dh_auto_configure -- \
	-DAUDACITY_BUILD_LEVEL=2 \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DCMAKE_INSTALL_LIBDIR=lib \
	-Daudacity_conan_enabled=Off \
	-Daudacity_lib_preference=system \
	-Daudacity_obey_system_dependencies=on \
	-Daudacity_use_expat=system \
	-Daudacity_use_ffmpeg=loaded \
	-Daudacity_use_libmp3lame=system \
	-Daudacity_use_midi=system \
	-Daudacity_use_wxwidgets=system \
	-Daudacity_use_zlib=system \
	-Daudacity_has_vst3=no

#	exit 1

execute_after_dh_auto_install:
	# Don't package unnecessary copy of GPL
	rm debian/tmp/usr/share/doc/audacity/LICENSE.txt

	patchelf --remove-rpath debian/tmp/usr/lib/audacity/*.so
	patchelf --remove-rpath debian/tmp/usr/lib/audacity/modules/mod-script-pipe.so

override_dh_clean:
	dh_clean

	rm -rf .gitattributes .github .gitignore \
	libraries/lib-theme-resources/ClassicThemeAsCeeCode.h libraries/lib-theme-resources/DarkThemeAsCeeCode.h \
	libraries/lib-theme-resources/HighContrastThemeAsCeeCode.h libraries/lib-theme-resources/LightThemeAsCeeCode.h

override_dh_shlibdeps:
	dh_shlibdeps -lusr/lib/audacity

# tests fails with system portaudio
override_dh_auto_test:

## audacity-dmo 3.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,8 +31,8 @@
 # Increment as appropriate after release of a new version, and set back
 # AUDACITY_BUILD_LEVEL to 0
 set( AUDACITY_VERSION 3 )
-set( AUDACITY_RELEASE 3 )
-set( AUDACITY_REVISION 3 )
+set( AUDACITY_RELEASE 6 )
+set( AUDACITY_REVISION 4 )
 set( AUDACITY_MODLEVEL 0 )
 
 string( TIMESTAMP __TDATE__ "%Y%m%d" )
@@ -154,18 +154,25 @@
 # Our very own project
 project( Audacity )
 
-# XCode 14 no longer allows building unsigned binaries.
-# So for the XCode 14 `-` is passed as the code sign identity, which stands for
-# local signing. `--deep` is passed, because 3d party libraries are copied unsigned.
-# XCODE_VERSION is defined only after the project() command
-
 if( APPLE )
+   # XCode 14 no longer allows building unsigned binaries.
+   # So for the XCode 14 `-` is passed as the code sign identity, which stands for
+   # local signing. `--deep` is passed, because 3d party libraries are copied unsigned.
+   # XCODE_VERSION is defined only after the project() command
    if (XCODE_VERSION VERSION_LESS 14)
       set( CMAKE_XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY "" CACHE INTERNAL "" )
    else()
       set( CMAKE_XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY "-" CACHE INTERNAL "" )
       set( CMAKE_XCODE_ATTRIBUTE_OTHER_CODE_SIGN_FLAGS "--deep -o linker-signed --timestamp" CACHE INTERNAL "")
    endif()
+
+   # Xcode 15 breaks compatibility with macOS vesions older than 12
+   # https://developer.apple.com/documentation/xcode-release-notes/xcode-15-release-notes#Linking
+   if (XCODE_VERSION VERSION_GREATER_EQUAL 15)
+      # link_libraries is guaranteed to set the flag for all
+      # linker invocations
+      link_libraries("-Wl,-ld_classic")
+   endif()
 endif()
 
 # Load our functions/macros
@@ -197,6 +204,12 @@
             "Force Conan to rebuild the dependencies every time"
             Off
 )
+
+set( ${_OPT}conan_host_profile ""
+            CACHE PATH "Use conan host profile located at the specified path, instead of the detected one")
+
+set( ${_OPT}conan_build_profile ""
+            CACHE PATH "Use conan build profile located at the specified path, instead of the detected one")
 
 set( ${_OPT}conan_download_cache ""
             CACHE PATH "Use conan download cache located at the specified path")
@@ -280,6 +293,12 @@
 set_from_env(SENTRY_HOST)
 set_from_env(SENTRY_PROJECT)
 set_from_env(CRASH_REPORT_URL)
+
+option(
+   ${_OPT}has_whats_new
+   "Show \"What's New\" dialog on startup"
+   On
+)
 
 cmake_dependent_option(
    ${_OPT}has_crashreports
@@ -360,26 +379,3 @@
 
    if( git_output )
       list( GET git_output 0 GIT_COMMIT_SHORT )
-      list( GET git_output 1 GIT_COMMIT_LONG )
-      list( GET git_output 2 GIT_COMMIT_TIME )
-
-      file(WRITE
-         "${CMAKE_BINARY_DIR}/Variables.cmake"
-         "set( AUDACITY_BUILD_LEVEL ${AUDACITY_BUILD_LEVEL} )\nset( AUDACITY_REV_LONG \"${GIT_COMMIT_LONG}\" )\nset( AUDACITY_REV_TIME \"${GIT_COMMIT_TIME}\" )\n"
-      )
-   endif()
-endif()
-message( STATUS "  Current Commit: ${GIT_COMMIT_SHORT}" )
-message( STATUS )
-
-# Organize subdirectories/targets into folders for the IDEs
-set_property( GLOBAL PROPERTY USE_FOLDERS ON )
-
-if( CMAKE_GENERATOR MATCHES "Visual Studio" )
-   # Make sure Audacity is the startup project
-   set_directory_properties(
-      PROPERTIES
-         VS_STARTUP_PROJECT "${CMAKE_PROJECT_NAME}"
-   )
-
-   # Build using multiple processors

=== debian/changelog ===
audacity-dmo (1:3.6.4-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Sep 2024 08:32:19 +0200

audacity-dmo (1:3.6.3-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Sep 2024 08:07:34 +0200

audacity-dmo (1:3.6.2-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 Sep 2024 11:22:02 +0200

audacity-dmo (1:3.5.1-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Apr 2024 15:08:41 +0200

audacity-dmo (1:3.5.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Apr 2024 07:47:27 +0200

=== debian/control ===
Source: audacity-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Rules-Requires-Root: no
Homepage: https://www.audacityteam.org/
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), gettext, libasound2-dev [linux-any],
 lv2-dev, libavcodec-dev, libavformat-dev, libavutil-dev, quilt,
 libexpat1-dev, libflac++-dev (>= 1.4.1~), uuid-dev, libgtk-3-dev,
 libid3tag0-dev, cmake (>= 3.15), libjack-jackd2-dev,
 libmp3lame-dev, libogg-dev (>= 1.0.0), libmpg123-dev, libportsmf-dev,
 libsndfile1-dev (>= 1.0.0), libsoundtouch-dev (>= 1.9.2~), libopusfile-dev,
 libsoxr-dev (>= 0.0.5), libtwolame-dev (>= 0.3.9), ninja-build,
 liblilv-dev, libserd-dev, libvorbis-dev (>= 1.0.0-3), libwavpack-dev,
 vamp-plugin-sdk (>= 1:2.6-dmo3), libsuil-dev (>= 1:0.8.2~),
 nasm [any-amd64 any-i386], libsqlite3-dev, libgtk2.0-dev, rapidjson-dev,
 portaudio19-dev, libgtk2.0-dev, libportmidi-dev, libsbsms-dev (>= 2.2.0~),
 libwxgtk-media3.2-dev

Package: audacity
Architecture: any
Depends: audacity-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}, libavcodec60 (>= 10:6.0), libavformat60 (>= 10:6.0), libavutil58 (>= 10:6.0),
Suggests: ladspa-plugin,
Conflicts: blop,
Description: fast, cross-platform audio editor
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and Windows. 
 It is designed for easy recording, playing and editing of digital audio.
 Audacity features digital effects and spectrum analysis tools. Editing is
 very fast and provides unlimited undo/redo.
 .
 Supported file formats include Ogg Vorbis, MP2, MP3, WAV, AIFF, and AU.

Package: audacity-data
Architecture: all
Depends: ${misc:Depends},
Recommends: audacity,
Description: fast, cross-platform audio editor (data)
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and Windows. 
 It is designed for easy recording, playing and editing of digital audio.
 Audacity features digital effects and spectrum analysis tools. Editing is
 very fast and provides unlimited undo/redo.
 .
 This package contains the architecture-independent data files.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
-export VST3SDK_DIR=$(CURDIR)/vst3sdk-3-7-6
+ifeq ($(DEB_HOST_ARCH),i386)
+	export DEB_CFLAGS_MAINT_APPEND = -mfpmath=sse -msse2
+	export DEB_CXXFLAGS_MAINT_APPEND = -mfpmath=sse -msse2
+endif
 
 %:
 	dh $@ --with quilt -Scmake+ninja
@@ -10,9 +13,8 @@
 
 	dh_auto_configure -- \
 	-DAUDACITY_BUILD_LEVEL=2 \
-	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-	-DCMAKE_INSTALL_LIBDIR=lib \
 	-Daudacity_conan_enabled=Off \
+	-Daudacity_has_vst3=no \
 	-Daudacity_lib_preference=system \
 	-Daudacity_obey_system_dependencies=on \
 	-Daudacity_use_expat=system \
@@ -21,16 +23,14 @@
 	-Daudacity_use_midi=system \
 	-Daudacity_use_wxwidgets=system \
 	-Daudacity_use_zlib=system \
-	-Daudacity_has_vst3=no
+	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
+	-DCMAKE_INSTALL_LIBDIR=lib
 
 #	exit 1
 
 execute_after_dh_auto_install:
 	# Don't package unnecessary copy of GPL
 	rm debian/tmp/usr/share/doc/audacity/LICENSE.txt
-
-	patchelf --remove-rpath debian/tmp/usr/lib/audacity/*.so
-	patchelf --remove-rpath debian/tmp/usr/lib/audacity/modules/mod-script-pipe.so
 
 override_dh_clean:
 	dh_clean

## audacity-dmo 3.7.5

=== debian/changelog ===
audacity-dmo (1:3.7.5-dmo2) unstable; urgency=medium

  * Build with libportmidi2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Sep 2025 19:28:48 +0200

audacity-dmo (1:3.7.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Aug 2025 15:25:28 +0200

audacity-dmo (1:3.7.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 10 Jun 2025 23:44:11 +0200

audacity-dmo (1:3.7.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Mar 2025 15:31:29 +0100

audacity-dmo (1:3.7.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Mar 2025 16:59:33 +0100

audacity-dmo (1:3.7.1-dmo2+b1) unstable; urgency=medium

  * Build with libflac12

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Feb 2025 15:14:07 +0100

audacity-dmo (1:3.7.1-dmo2) unstable; urgency=medium

  * Add patch from Andrius Merkys to enable vst3sdk support (only amd64,
    arm64, armel and armhf arches for now).

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Jan 2025 15:29:39 +0100

audacity-dmo (1:3.7.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 13 Dec 2024 14:19:32 +0100

audacity-dmo (1:3.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 31 Oct 2024 01:05:42 +0100

audacity-dmo (1:3.6.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Sep 2024 13:07:17 +0200

audacity-dmo (1:3.6.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 09 Sep 2024 18:39:34 +0200

audacity-dmo (1:3.6.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Sep 2024 19:08:56 +0200

audacity-dmo (1:3.6.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 22 Jul 2024 10:19:34 +0200

audacity-dmo (1:3.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Jul 2024 00:56:00 +0200

audacity-dmo (1:3.5.1-dmo2) unstable; urgency=medium

  * Build with libvamp-hostsdk3t64

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Jun 2024 16:59:55 +0200

audacity-dmo (1:3.5.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Apr 2024 02:14:28 +0200

audacity-dmo (1:3.5.0-dmo2) unstable; urgency=medium

  * Restore libavcodec, libavformat and libavutil to ffmpeg 6 version

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Apr 2024 10:43:08 +0200

audacity-dmo (1:3.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 22 Apr 2024 17:00:51 +0200

audacity-dmo (1:3.4.2-dmo2) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 08:12:38 +0100

audacity-dmo (1:3.4.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Nov 2023 19:04:49 +0100

audacity-dmo (1:3.4.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Nov 2023 19:59:40 +0100

audacity-dmo (1:3.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Nov 2023 19:05:59 +0100

=== debian/control ===
Source: audacity-dmo
Section: sound
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.audacityteam.org/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), cmake (>= 3.15), gettext, uuid-dev,
 libasound2-dev [linux-any], lv2-dev, libavcodec-dev, libgtk-3-dev,
 libavformat-dev, libavutil-dev, quilt, libexpat1-dev, libopusfile-dev,
 libflac++-dev (>= 1.4.1~), libid3tag0-dev, cmake (>= 3.15),
 libjack-jackd2-dev, libmp3lame-dev, libogg-dev (>= 1.0.0), libmpg123-dev,
 libportsmf-dev, libsndfile1-dev (>= 1.0.0), libsoundtouch-dev (>= 1.9.2~),
 libsoxr-dev (>= 0.0.5), libtwolame-dev (>= 0.3.9), liblilv-dev, libserd-dev,
 libvorbis-dev (>= 1.0.0-3), libwavpack-dev, vamp-plugin-sdk (>= 1:2.6-dmo3),
 libsuil-dev (>= 1:0.8.2~), nasm [any-amd64 any-i386], libsqlite3-dev,
 rapidjson-dev, portaudio19-dev, libportmidi-dev (>= 2:2.0.4~),
 libsbsms-dev (>= 2.2.0~), libwxgtk-media3.2-dev, libvst3sdk-dev,

Package: audacity
Architecture: any
Depends: audacity-data (= ${source:Version}), libavcodec61 (>= 10:7.0), libavformat61 (>= 10:7.0), libavutil59 (>= 10:7.0), ${misc:Depends}, ${shlibs:Depends},
Suggests: ladspa-plugin,
Conflicts: blop,
Description: fast, cross-platform audio editor
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and Windows. 
 It is designed for easy recording, playing and editing of digital audio.
 Audacity features digital effects and spectrum analysis tools. Editing is
 very fast and provides unlimited undo/redo.
 .
 Supported file formats include Ogg Vorbis, MP2, MP3, WAV, AIFF, and AU.

Package: audacity-data
Architecture: all
Depends: ${misc:Depends},
Recommends: audacity,
Description: fast, cross-platform audio editor (data)
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and Windows. 
 It is designed for easy recording, playing and editing of digital audio.
 Audacity features digital effects and spectrum analysis tools. Editing is
 very fast and provides unlimited undo/redo.
 .
 This package contains the architecture-independent data files.

=== debian/watch ===
version=4

https://github.com/audacity/audacity/tags \
(?:.*?/)?Audacity-?(\d[\d.]*)@ARCHIVE_EXT@

## audacity-dmo 3.7.6

=== debian/changelog ===
audacity-dmo (1:3.7.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Dec 2025 23:58:23 +0100
